GCUBEGuidedTour (gCube Guided Tour Widget 1.2.1-SNAPSHOT API)
Date: 2013-07-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.guidedtour.client
Class GCUBEGuidedTour

    java.lang.Object
      org.gcube.portlets.user.guidedtour.client.GCUBEGuidedTour

    public final class GCUBEGuidedTour

extends Object

Version:
  1.0 Jan 27th 2012
Author:
  Massimiliano Assante ISTI-CNR

Constructor Summary
`GCUBEGuidedTour(String caption, String className, String userGuideURL, int width, int height, boolean useMask, ThemeColor themeColor, ArrayList<com.google.gwt.user.client.ui.Composite> steps, TourLanguage... languages)`
`GCUBEGuidedTour(String caption, String className, String userGuideURL, int width, int height, boolean useMask, ThemeColor themeColor, TourLanguage... languages)`
`GCUBEGuidedTour(String caption, String className, String userGuideURL, int width, int height, boolean useMask, TourLanguage... languages)`

Method Summary
`void` | `addStep(com.google.gwt.user.client.ui.Composite stepToAdd)` add a Step to the popup, any will work
`String` | `getClassName()`
`ThemeColor` | `getColor()`
`int` | `getHeight()`
`String` | `getPortletName()`
`ArrayList<com.google.gwt.user.client.ui.Composite>` | `getSteps()`
`TourLanguage[]` | `getSupportedLanguages()`
`String` | `getUserGuideLink()`
`int` | `getWidth()`
`boolean` | `isMask()`
`void` | `openTour()` trigger the show PopUp
`void` | `setAnimationEnabled(boolean enable)` Enable or disable the animation feature.
`protected void` | `showTour()` Creates and shows the tour.
`static void` | `showTour(String className, boolean skipUserPreferences, GuidedTourResourceProvider resourceProvider)`
`static void` | `showTour(String className, GuidedTourResourceProvider resourceProvider)`
`protected static void` | `showTourAsync(String className, GuidedTourResourceProvider resourceProvider)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GCUBEGuidedTour

    public GCUBEGuidedTour(String caption,
                           String className,
                           String userGuideURL,
                           int width,
                           int height,
                           boolean useMask,
                           TourLanguage... languages)

Parameters:
  `caption` - what you want to append after "Quick tour guide for" in the frame caption
  `className` - className of your portlet class, it acts as unique id
  `userGuideURL` - the http url of this application's user guide
  `width` - window width in pixels
  `height` - window height in pixels
  `useMask` - When enabled, the background will be blocked with a semi-transparent panel

### GCUBEGuidedTour

    public GCUBEGuidedTour(String caption,
                           String className,
                           String userGuideURL,
                           int width,
                           int height,
                           boolean useMask,
                           ThemeColor themeColor,
                           TourLanguage... languages)

Parameters:
  `caption` - what you want to append after "Quick tour guide for" in the frame caption
  `className` - className of your portlet class, it acts as unique id
  `width` - window width in pixels
  `height` - window height in pixels
  `useMask` - When enabled, the background will be blocked with a semi-transparent panel
  `themeColor` - the frame color of this popup
  `languages` - the languages supported by this tour

### GCUBEGuidedTour

    public GCUBEGuidedTour(String caption,
                           String className,
                           String userGuideURL,
                           int width,
                           int height,
                           boolean useMask,
                           ThemeColor themeColor,
                           ArrayList<com.google.gwt.user.client.ui.Composite> steps,
                           TourLanguage... languages)

Parameters:
  `caption` - what you want to append after "Quick tour guide for" in the frame caption
  `className` - className of your portlet class, it acts as unique id
  `width` - window width in pixels
  `height` - window height in pixels
  `useMask` - When enabled, the background will be blocked with a semi-transparent panel
  `themeColor` - the frame color of this popup
  `steps` - an ArrayList of steps. Any Composite will do, however we reccomend to use templates, either GCUBETemplate1Text1Image or GCUBETemplate1Text2Image or GCUBETemplate2Text2Image

Method Detail

### setAnimationEnabled

    public void setAnimationEnabled(boolean enable)

  Enable or disable the animation feature. When enabled, the popup will use animated transitions when the user clicks next or prev buttons

  Parameters:
    `enable` - true to enable animation, false to disable

### addStep

    public void addStep(com.google.gwt.user.client.ui.Composite stepToAdd)

  add a Step to the popup, any will work

  Parameters:
    `stepToAdd` -

### openTour

    public void openTour()

  trigger the show PopUp

  Parameters:
    `steps` - the steps to show

### showTour

    protected void showTour()

  Creates and shows the tour.

### showTour

    public static void showTour(String className,
                                GuidedTourResourceProvider resourceProvider)

### showTour

    public static void showTour(String className,
                                boolean skipUserPreferences,
                                GuidedTourResourceProvider resourceProvider)

### showTourAsync

    protected static void showTourAsync(String className,
                                        GuidedTourResourceProvider resourceProvider)

### getUserGuideLink

    public String getUserGuideLink()

  Returns:
    the userGuideLink

### getPortletName

    public String getPortletName()

  Returns:
    the portletName

### getClassName

    public String getClassName()

  Returns:
    the className

### getSteps

    public ArrayList<com.google.gwt.user.client.ui.Composite> getSteps()

  Returns:
    the steps

### getWidth

    public int getWidth()

  Returns:
    the width

### getHeight

    public int getHeight()

  Returns:
    the height

### isMask

    public boolean isMask()

  Returns:
    the mask

### getColor

    public ThemeColor getColor()

  Returns:
    the color

### getSupportedLanguages

    public TourLanguage[] getSupportedLanguages()

  Returns:
    the supportedLanguages

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.